# $Header: /alx-cvs/alx-src/tinyalxconfig-ng/functions/config_auth.sh,v 1.2 2008/06/04 19:36:18 niro Exp $
# configures the system authentification via mysql db settings

get_auth_settings()
{
	local x i all count

	# get settings from database
	ALX_AUTH_SHELL_PW=$(mysqldo "select shell from client_auth where serial='${ALX_SERIAL}'")
	ALX_AUTH_VNC_PW=$(mysqldo "select vnc from client_auth where serial='${ALX_SERIAL}'")
#	ALX_AUTH_SAMBA_PW=$(mysqldo "select samba from client_auth where serial='${ALX_SERIAL}'")
	ALX_AUTH_STATION_PW=$(mysqldo "select station from client_auth where serial='${ALX_SERIAL}'")

	export ALX_AUTH_SHELL_PW
	export ALX_AUTH_VNC_PW
#	export ALX_AUTH_SAMBA_PW
	export ALX_AUTH_STATION_PW
}

config_auth()
{
	# first of all get the vars
	get_auth_settings

	[ -n "${ALX_AUTH_SHELL_PW}" ] && \
		usermod -p $(openssl passwd -1 ${ALX_AUTH_SHELL_PW}) root

	[ -n "${ALX_AUTH_STATION_PW}" ] && \
		usermod -p $(openssl passwd -1 ${ALX_AUTH_SHELL_PW}) ${ALX_UNPRIV_USER}

# 	if [ -n "${ALX_AUTH_SAMBA_PW}" ]
# 	then
# 		# >smb3 smbpasswd -a user password does not work anymore
# 		if [[ $(smbd --version | cut -d' ' -f2) > 2.999 ]]
# 		then
# 			smbpasswd -a root -s << EOF
# ${ALX_AUTH_SAMBA_PW}
# ${ALX_AUTH_SAMBA_PW}
# EOF
# 		else
# 			smbpasswd -a root ${ALX_AUTH_SAMBA_PW}
# 		fi
# 	fi

	# vnc passwd (min 6 chars)
	if [ -n "${ALX_AUTH_VNC_PW}" ]
	then
		# pipe it 2x; 1st for new pw, 2nd to validate
		HOME=/root vncpasswd &> /dev/null << EOF
${ALX_AUTH_VNC_PW}
${ALX_AUTH_VNC_PW}
EOF
	fi

	# unset vars
	unset ALX_AUTH_SHELL_PW
	unset ALX_AUTH_VNC_PW
	unset ALX_AUTH_SAMBA_PW
	unset ALX_AUTH_STATION_PW
}
